rte_flow_error(3)

NAME
rte_flow_error

SYNOPSIS

#include <rte_flow.h>

  Data Fields

enum rte_flow_error_type type
const void * cause
const char * message

Detailed Description

Verbose error structure definition.

This object is normally allocated by applications and set by PMDs, the message points to a constant string which does not need to be freed by the application, however its pointer can be considered valid only as long as its associated DPDK port remains configured. Closing the underlying device or unloading the PMD invalidates it.

Both cause and message may be NULL regardless of the error type.

Definition at line 4378 of file rte_flow.h.

Field Documentation

  enum rte_flow_error_type type
Cause field and error types.

Definition at line 4379 of file rte_flow.h.

  const void* cause
Object responsible for the error.

Definition at line 4380 of file rte_flow.h.

  const char* message
Human-readable error message.

Definition at line 4381 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.